# Collect: Clean Company API

{% columns %}
{% column width="16.666666666666664%" %}
Data type:

URLs:
{% endcolumn %}

{% column %}
Clean Company

<https://api.coresignal.com/cdapi/v2/company\\_clean/collect/{company\\_id}\\>
<https://api.coresignal.com/cdapi/v2/company\\_clean/collect/{profile\\_url/shorthand\\_name}>
{% endcolumn %}
{% endcolumns %}

***

## Overview

Explore the potential application and helpful tips for the endpoint `/v2/company_clean/collect` usage.

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>General information about collect requests</td><td><a href="/pages/CqkkuNi2gihiTwWsDNBX">/pages/CqkkuNi2gihiTwWsDNBX</a></td></tr></tbody></table>

Use the company collection endpoints to collect the company profile data using the company IDs, profile URLs or shorthand names (e.g., tesla from Professional network profile URL *[www.professional-network.com/company/tesla](http://www.professional-network.com/company/tesla)*).

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><a href="#collection-using-company-ids">Data collection using IDs</a></td><td>Learn how to obtain Clean Company API data using company IDs</td><td></td></tr><tr><td><a href="#collection-using-profile-urls-or-shorthand-names">Data collection using profile URLs or shorthand names</a></td><td>Learn how to obtain Clean Company API data using profile URLs or shorthand names</td><td></td></tr></tbody></table>

### Company collection endpoints

| Used key       | Collect endpoints                                           | Function                                                                                |
| -------------- | ----------------------------------------------------------- | --------------------------------------------------------------------------------------- |
| Company ID     | */v2/company\_clean/collect/{company\_id}*                  | Collect Clean Company data using company IDs (retrieved using company search endpoints) |
| Shorthand name | */v2/company\_clean/collect/{profile\_url/shorthand\_name}* | Collect Clean Company data using profile URLs or shorthand names taken from the URLs    |

## Collection using company IDs

Examples in this article are prepared using Postman.

However, you can use the most convenient tool for you: terminal, Postman, or any API-compatible application.

### cURL (Postman)

Paste in the numeric company ID instead of `{company_id}` and API Key instead of `{API Key}` in the request template:

{% tabs %}
{% tab title="Full collect" %}
{% code title="cURL request" %}

```json
curl -X 'GET' \
'https://api.coresignal.com/cdapi/v2/company_clean/collect/{company_id}' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}'
```

{% endcode %}
{% endtab %}

{% tab title="Field selection" %}
{% code title="cURL request example with several fields" %}

```json
curl -X 'GET' \
'https://api.coresignal.com/cdapi/v2/company_clean/collect/{company_id}?fields=id&fields=name' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}'
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Collection using profile URLs or shorthand names

Examples in this article are prepared using Postman.

### cURL (Postman)

Use the provided request template below. Enter a valid `profile_url` or `shorthand_name` value and your `API Key`.

{% tabs %}
{% tab title="Full collect" %}
{% code title="cURL request" %}

```json
curl -X 'GET' \
'https://api.coresignal.com/cdapi/v2/company_clean/collect/{profile_url/shorthand_name}' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}'
```

{% endcode %}
{% endtab %}

{% tab title="Field selection" %}
{% code title="cURL request example with several fields" %}

```json
curl -X 'GET' \
'https://api.coresignal.com/cdapi/v2/company_clean/collect/{profile_url/shorthand_name}?fields=id&fields=name' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}'
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/company-api/clean-company-api/endpoints/collect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
